<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/main.css">
    <link rel="stylesheet" href="css/reports.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
        integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://www.gstatic.com/charts/loader.js"></script>
    <title>Reports :: Status Board</title>
</head>

<body>
    <header id="mainHeader"></header>
    <main>
        <header>
            <select id="reportSelector">
                <option value="">Select One</option>
                <option value="priorities">Daily Priorities</option>
                <option value="averageTickets">Average Tickets Closed</option>
                <option value="sameDay">Same Day Close Percentage</option>
            </select>
            <form id="dateRangeForm">
                <label for="start">Date Start:</label>
                <input type="date" name="start" required disabled="disabled" />

                <label for="end">Date End:</label>
                <input type="date" name="end" required disabled="disabled" />

                <button type="submit" disabled="disabled">Go</button>
            </form>
        </header>
        <h1></h1>
        <p id="subtitle"></p>
        <div class="container"></div>
    </main>

    <template id="priorityTemplate">
        <div class="techPriority">
            <h2></h2>
            <table>
                <thead>
                    <th>Priority</th>
                    <th>Ticket Number</th>
                    <th>Board</th>
                    <th>Company</th>
                    <th>Summary</th>
                    <th>Status</th>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </template>

    <template id="totalTicketTemplate">
        <div id="totalTickets">
            <div class="tableWrapper">
                <table>
                    <thead>
                        <th>Board</th>
                        <th>Opened</th>
                        <th>Closed</th>
                    </thead>
                    <tbody></tbody>
                    <tfoot>
                        <tr>
                            <th>Total</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <div class="chart"></div>
        </div>
    </template>

    <template id="surveyTemplate">
        <table>
            <thead>
                <tr>
                    <th>Ticket Number</th>
                    <th>Technician</th>
                    <th>Company</th>
                    <th>Contact</th>
                    <th>Score</th>
                    <th>Comments</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </template>

    <template id="timeOffTemplate">
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Vacation</th>
                    <th>Personal</th>
                    <th>Holiday</th>
                    <th>Sick</th>
                    <th>Jury</th>
                    <th>Unpaid</th>
                    <th>Bereavement</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </template>

    <template id="hourlyTicketTemplate">
        <table>
            <thead>
                <tr>
                    <th>Ticket Number</th>
                    <th>Company</th>
                    <th>Contact</th>
                    <th>Hours</th>
                    <th>Summary</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </template>

    <template id="chartTemplate">
        <div class="chart"></div>
    </template>

    <script src="js/reports.js" type="module"></script>
</body>

</html>